PHP 手冊
前一頁 |  | 下一頁

# DOMElement->setAttributeNS()

DOMElement->setAttributeNS() -- Adds new attribute

## Description

class DOMElement {
void setAttributeNS ( string namespaceURI, string qualifiedName, string value )
}

Sets an attribute with namespace namespaceURI and name name to the given value. If the attribute does not exist, it will be created.

## Parameters

namespaceURI

  The namespace URI.

qualifiedName

  The qualified name of the attribute, as prefix:tagname.

value

  The value of the attribute.

## Return Values

No value is returned.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NAMESPACE_ERR`

  Raised if qualifiedName is a malformed qualified name, or if qualifiedName has a prefix and namespaceURI is `NULL`.

## 參考

DOMElement->hasAttributeNS()
DOMElement->getAttributeNS()
DOMElement->removeAttributeNS()

前一頁 | 內容 | 下一頁
DOMElement->setAttributeNodeNS() | 上一層 | DOMImplementation->createDocument()